package de.dass_it.vanhelsing.gui.items;
public class PoolItem extends ItemType implements UserObjectItem{
	private String name;
	private String maximumVolumes;
	private String poolType;
	private String storage;
	private String useVolumeOnce;
	private String maximumVolumeJobs;
	private String maximumVolumeFiles;
	private String maximumVolumeBytes;
	private String volumeUseDuration;
	private String catalogFiles;
	private String autoPrune;
	private String volumeRetention;
	private String actionOnPurge;
	private String scratchPool;
	private String recyclePool;
	private String recycle;
	private String recycleOldestVolume;
	private String recycleCurrentVolume;
	private String purgeOldestVolume;
	private String fileRetention;
	private String jobRetention;
	private String cleaningPrefix;
	private String labelFormat;

	public PoolItem() {}
	
	public PoolItem(String name, String poolType){
	setName(name);
	setPoolType(poolType);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMaximumVolumes() {
		return maximumVolumes;
	}

	public void setMaximumVolumes(String maximumVolumes) {
		this.maximumVolumes = maximumVolumes;
	}

	public String getPoolType() {
		return poolType;
	}

	public void setPoolType(String poolType) {
		this.poolType = poolType;
	}

	public String getStorage() {
		return storage;
	}

	public void setStorage(String storage) {
		this.storage = storage;
	}

	public String getUseVolumeOnce() {
		return useVolumeOnce;
	}

	public void setUseVolumeOnce(String useVolumeOnce) {
		this.useVolumeOnce = useVolumeOnce;
	}

	public String getMaximumVolumeJobs() {
		return maximumVolumeJobs;
	}

	public void setMaximumVolumeJobs(String maximumVolumeJobs) {
		this.maximumVolumeJobs = maximumVolumeJobs;
	}

	public String getMaximumVolumeFiles() {
		return maximumVolumeFiles;
	}

	public void setMaximumVolumeFiles(String maximumVolumeFiles) {
		this.maximumVolumeFiles = maximumVolumeFiles;
	}

	public String getMaximumVolumeBytes() {
		return maximumVolumeBytes;
	}

	public void setMaximumVolumeBytes(String maximumVolumeBytes) {
		this.maximumVolumeBytes = maximumVolumeBytes;
	}

	public String getVolumeUseDuration() {
		return volumeUseDuration;
	}

	public void setVolumeUseDuration(String volumeUseDuration) {
		this.volumeUseDuration = volumeUseDuration;
	}

	public String getCatalogFiles() {
		return catalogFiles;
	}

	public void setCatalogFiles(String catalogFiles) {
		this.catalogFiles = catalogFiles;
	}

	public String getAutoPrune() {
		return autoPrune;
	}

	public void setAutoPrune(String autoPrune) {
		this.autoPrune = autoPrune;
	}

	public String getVolumeRetention() {
		return volumeRetention;
	}

	public void setVolumeRetention(String volumeRetention) {
		this.volumeRetention = volumeRetention;
	}

	public String getActionOnPurge() {
		return actionOnPurge;
	}

	public void setActionOnPurge(String actionOnPurge) {
		this.actionOnPurge = actionOnPurge;
	}

	public String getScratchPool() {
		return scratchPool;
	}

	public void setScratchPool(String scratchPool) {
		this.scratchPool = scratchPool;
	}

	public String getRecyclePool() {
		return recyclePool;
	}

	public void setRecyclePool(String recyclePool) {
		this.recyclePool = recyclePool;
	}

	public String getRecycle() {
		return recycle;
	}

	public void setRecycle(String recycle) {
		this.recycle = recycle;
	}

	public String getRecycleOldestVolume() {
		return recycleOldestVolume;
	}

	public void setRecycleOldestVolume(String recycleOldestVolume) {
		this.recycleOldestVolume = recycleOldestVolume;
	}

	public String getRecycleCurrentVolume() {
		return recycleCurrentVolume;
	}

	public void setRecycleCurrentVolume(String recycleCurrentVolume) {
		this.recycleCurrentVolume = recycleCurrentVolume;
	}

	public String getPurgeOldestVolume() {
		return purgeOldestVolume;
	}

	public void setPurgeOldestVolume(String purgeOldestVolume) {
		this.purgeOldestVolume = purgeOldestVolume;
	}

	public String getFileRetention() {
		return fileRetention;
	}

	public void setFileRetention(String fileRetention) {
		this.fileRetention = fileRetention;
	}

	public String getJobRetention() {
		return jobRetention;
	}

	public void setJobRetention(String jobRetention) {
		this.jobRetention = jobRetention;
	}

	public String getCleaningPrefix() {
		return cleaningPrefix;
	}

	public void setCleaningPrefix(String cleaningPrefix) {
		this.cleaningPrefix = cleaningPrefix;
	}

	public String getLabelFormat() {
		return labelFormat;
	}

	public void setLabelFormat(String labelFormat) {
		this.labelFormat = labelFormat;
	}
}

